View Issue Details

IDProjectCategoryView StatusLast Update
0013669CentOS-7yumpublic2017-09-08 11:17
Reporteryiluxiangbei 
PrioritylowSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0013669: can't install nodejs on centos7
DescriptionResolving Dependencies
--> Running transaction check
---> Package nodejs.x86_64 1:6.11.1-1.el7 will be installed
--> Processing Dependency: npm = 1:3.10.10-1.6.11.1.1.el7 for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: http-parser >= 2.7.0 for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: libhttp_parser.so.2()(64bit) for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Running transaction check
---> Package nodejs.x86_64 1:6.11.1-1.el7 will be installed
--> Processing Dependency: http-parser >= 2.7.0 for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: libhttp_parser.so.2()(64bit) for package: 1:nodejs-6.11.1-1.el7.x86_64
---> Package npm.x86_64 1:3.10.10-1.6.11.1.1.el7 will be installed
--> Finished Dependency Resolution
Error: Package: 1:nodejs-6.11.1-1.el7.x86_64 (epel)
           Requires: libhttp_parser.so.2()(64bit)
Error: Package: 1:nodejs-6.11.1-1.el7.x86_64 (epel)
           Requires: http-parser >= 2.7.0
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
TagsNo tags attached.
abrt_hash
URL

Activities

geerlingguy

geerlingguy

2017-08-14 03:51

reporter   ~0029856

I'm seeing the same behavior, starting a couple hours ago with an automated daily build of some of my Node.js projects: https://travis-ci.org/geerlingguy/ansible-for-devops/jobs/264205029#L545
daharon

daharon

2017-08-14 07:20

reporter   ~0029857

The same issue in the RedHat Bugzilla:
https://bugzilla.redhat.com/show_bug.cgi?id=1481008

As it was explained to me... http-parser was added to the RedHat Base repository for 7.4, therefore EPEL removed it.
This results in a gap in time where CentOS 7.4 has not yet been released, and the EPEL has a Nodejs package with http-parser as a dependency which cannot be resolved.

http-parser packages can be downloaded here:
https://kojipkgs.fedoraproject.org//packages/http-parser/2.7.1/3.el7/x86_64/
dtnorth

dtnorth

2017-08-14 09:40

reporter   ~0029859

Is anyone aware of a timeline to have this resolved?
mexxxx

mexxxx

2017-08-14 12:34

reporter   ~0029861

face the same issue. When will it be solved?
tigalch

tigalch

2017-08-14 12:36

manager   ~0029862

Currently there is no ETA for when CentOS-7.4 will be released. We are working on it.
kimegede

kimegede

2017-08-14 12:45

reporter   ~0029863

Facing the same issue, will follow this post.

Thanks geerlingguy for reporting this and thank you tigalch for your reply :)
mlawrence

mlawrence

2017-08-14 17:51

reporter   ~0029865

Same issue as well. Following post!
Lanik

Lanik

2017-08-14 21:36

reporter   ~0029866

Until CentOS 7.4 is released here's a workaround:

As root:

rpm -ivh https://kojipkgs.fedoraproject.org//packages/http-parser/2.7.1/3.el7/x86_64/http-parser-2.7.1-3.el7.x86_64.rpm && yum -y install nodejs
brianjmurrell

brianjmurrell

2017-08-15 11:25

reporter   ~0029871

Is the solution here that the CentOS project maintains an "EPEL-gap" repo to bridge these gaps when RH makes these kinds of changes that break all non-RH EL derivatives?

It's really kind of crappy that RH make this change to EPEL knowing that it will break non-RH EL-derivatives.
MagnusJ

MagnusJ

2017-08-16 00:14

reporter   ~0029875

While the EPEL documentation is pretty up-front about not having packages that are available in RHEL or layered products, it's non-obvious that this implies that a package you are using without issue, can be removed without notice when a new point release of RHEL comes out.

Also this is clearly not a centos bug since centos doesnt maintain or support EPEL.

Here is the bug on the fedora tracker.
https://bugzilla.redhat.com/show_bug.cgi?id=1481470
tpphha

tpphha

2017-08-16 02:11

reporter   ~0029876

thanks @Lanik
> Until CentOS 7.4 is released here's a workaround:

As root:

rpm -ivh https://kojipkgs.fedoraproject.org//packages/http-parser/2.7.1/3.el7/x86_64/http-parser-2.7.1-3.el7.x86_64.rpm && yum -y install nodejs

I used it and resolved this issue.
sergio.segala@r3-gis.com

sergio.segala@r3-gis.com

2017-08-16 13:30

reporter   ~0029879

The workaround of @Lanik is ok, but I've the same problem with the nodejs-devel package:

yum install nodejs-devel

Error: Package: 1:nodejs-devel-6.11.1-1.el7.x86_64 (epel)
           Requires: http-parser-devel(x86-64)
Lanik

Lanik

2017-08-16 15:01

reporter   ~0029884

rpm -ivh https://kojipkgs.fedoraproject.org//packages/http-parser/2.7.1/3.el7/x86_64/http-parser-2.7.1-3.el7.x86_64.rpm https://kojipkgs.fedoraproject.org//packages/http-parser/2.7.1/3.el7/x86_64/http-parser-devel-2.7.1-3.el7.x86_64.rpm && yum -y install nodejs-devel
ebayot

ebayot

2017-08-28 17:09

reporter   ~0029952

Same issue, following. @Lanik fix is working also for me.
TrevorH

TrevorH

2017-08-28 17:11

manager   ~0029953

The CR repo now has what will be 7.4 in it so you can yum--enablerepo=cr to pull in any CentOS packages that are required.
Numblesix

Numblesix

2017-09-08 11:17

reporter   ~0030027

@TrevorH Solutions works perfect with CR Repo enabled

Issue History

Date Modified Username Field Change
2017-08-14 01:51 yiluxiangbei New Issue
2017-08-14 03:51 geerlingguy Note Added: 0029856
2017-08-14 07:20 daharon Note Added: 0029857
2017-08-14 09:40 dtnorth Note Added: 0029859
2017-08-14 12:34 mexxxx Note Added: 0029861
2017-08-14 12:36 tigalch Note Added: 0029862
2017-08-14 12:45 kimegede Note Added: 0029863
2017-08-14 17:51 mlawrence Note Added: 0029865
2017-08-14 21:36 Lanik Note Added: 0029866
2017-08-15 11:25 brianjmurrell Note Added: 0029871
2017-08-16 00:14 MagnusJ Note Added: 0029875
2017-08-16 02:11 tpphha Note Added: 0029876
2017-08-16 13:30 sergio.segala@r3-gis.com Note Added: 0029879
2017-08-16 15:01 Lanik Note Added: 0029884
2017-08-28 17:09 ebayot Note Added: 0029952
2017-08-28 17:11 TrevorH Note Added: 0029953
2017-09-08 11:17 Numblesix Note Added: 0030027